Package org.eclipse.birt.core.framework

# Class PlatformLauncher

java.lang.Object
org.eclipse.birt.core.framework.PlatformLauncher

Direct Known Subclasses:
  `OSGILauncher`

public abstract class PlatformLauncher extends Object

## Constructor Summary

Constructors
Constructor
Description
`PlatformLauncher()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`shutdown()`
`abstract void`
`startup(PlatformConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlatformLauncher

public PlatformLauncher()

## Method Details

### startup

public abstract void startup(PlatformConfig config) throws FrameworkException

Throws:
  `FrameworkException`

### shutdown

public abstract void shutdown()